# Uses of Class
org.mariadb.jdbc.Configuration

Packages that use Configuration
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.export
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.authentication.addon
org.mariadb.jdbc.plugin.authentication.standard
org.mariadb.jdbc.plugin.credential.aws
org.mariadb.jdbc.plugin.credential.env
org.mariadb.jdbc.plugin.credential.system
org.mariadb.jdbc.plugin.tls.main

## Uses of Configuration in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return Configuration
Modifier and Type
Method
Description
`Configuration`
Configuration.Builder.`build()`
Build a configuration
`Configuration`
Configuration.`clone(String username, String password)`
Clone configuration with another user/password
`Configuration`
Configuration.`connectTimeout(int connectTimeout)`
Set connect timeout
`static Configuration`
Configuration.`parse(String url)`
parse connection string
`static Configuration`
Configuration.`parse(String url, Properties prop)`
Parse url connection string with additional properties.
Methods in org.mariadb.jdbc with parameters of type Configuration
Modifier and Type
Method
Description
`protected static String`
Configuration.`buildUrl(Configuration conf)`
Generate initialURL property
`static Connection`
Driver.`connect(Configuration configuration)`
Connect according to configuration
Constructors in org.mariadb.jdbc with parameters of type Configuration
Modifier
Constructor
Description
``
`Connection(Configuration conf, ClosableLock lock, org.mariadb.jdbc.client.Client client)`
Connection construction.
``
`DatabaseMetaData(Connection connection, Configuration conf)`
Constructor.

## Uses of Configuration in org.mariadb.jdbc.export

Constructors in org.mariadb.jdbc.export with parameters of type Configuration
Modifier
Constructor
Description
``
`ExceptionFactory(Configuration conf, HostAddress hostAddress)`
Connection Exception factory constructor
``
`SqlExceptionFactory(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)`
Constructor of Exception factory with SQL

## Uses of Configuration in org.mariadb.jdbc.plugin

Methods in org.mariadb.jdbc.plugin with parameters of type Configuration
Modifier and Type
Method
Description
`KeyManager[]`
TlsSocketPlugin.`getKeyManager(Configuration conf, ExceptionFactory exceptionFactory)`
`TrustManager[]`
TlsSocketPlugin.`getTrustManager(Configuration conf, ExceptionFactory exceptionFactory, HostAddress hostAddress)`
`AuthenticationPlugin`
AuthenticationPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Plugin initialization.
`default CredentialPlugin`
CredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`
Permit initializing plugin if overridden

## Uses of Configuration in org.mariadb.jdbc.plugin.authentication.addon

Methods in org.mariadb.jdbc.plugin.authentication.addon with parameters of type Configuration
Modifier and Type
Method
Description
`AuthenticationPlugin`
ClearPasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
`AuthenticationPlugin`
SendGssApiAuthPacketFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
Constructors in org.mariadb.jdbc.plugin.authentication.addon with parameters of type Configuration
Modifier
Constructor
Description
``
`SendGssApiAuthPacket(byte[] seed, Configuration conf)`
Initialization.

## Uses of Configuration in org.mariadb.jdbc.plugin.authentication.standard

Methods in org.mariadb.jdbc.plugin.authentication.standard with parameters of type Configuration
Modifier and Type
Method
Description
`void`
CachingSha2PasswordPlugin.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialized data.
`AuthenticationPlugin`
CachingSha2PasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
`AuthenticationPlugin`
Ed25519PasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
`AuthenticationPlugin`
NativePasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
`AuthenticationPlugin`
ParsecPasswordPluginFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
`AuthenticationPlugin`
SendPamAuthPacketFactory.`initialize(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
Initialization.
Constructors in org.mariadb.jdbc.plugin.authentication.standard with parameters of type Configuration
Modifier
Constructor
Description
``
`CachingSha2PasswordPlugin(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
``
`Ed25519PasswordPlugin(String authenticationData, byte[] seed, Configuration conf, HostAddress hostAddress)`
``
`SendPamAuthPacket(String authenticationData, Configuration conf)`
Initialization.

## Uses of Configuration in org.mariadb.jdbc.plugin.credential.aws

Methods in org.mariadb.jdbc.plugin.credential.aws with parameters of type Configuration
Modifier and Type
Method
Description
`CredentialPlugin`
AwsIamCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`

## Uses of Configuration in org.mariadb.jdbc.plugin.credential.env

Methods in org.mariadb.jdbc.plugin.credential.env with parameters of type Configuration
Modifier and Type
Method
Description
`CredentialPlugin`
EnvCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`

## Uses of Configuration in org.mariadb.jdbc.plugin.credential.system

Methods in org.mariadb.jdbc.plugin.credential.system with parameters of type Configuration
Modifier and Type
Method
Description
`CredentialPlugin`
PropertiesCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`

## Uses of Configuration in org.mariadb.jdbc.plugin.tls.main

Methods in org.mariadb.jdbc.plugin.tls.main with parameters of type Configuration
Modifier and Type
Method
Description
`KeyManager[]`
DefaultTlsSocketPlugin.`getKeyManager(Configuration conf, ExceptionFactory exceptionFactory)`
`TrustManager[]`
DefaultTlsSocketPlugin.`getTrustManager(Configuration conf, ExceptionFactory exceptionFactory, HostAddress hostAddress)`